---
title: HTMLTableElement.bgColor
slug: Web/API/HTMLTableElement/bgColor
tags:
  - API
  - Deprecated
  - HTML DOM
  - NeedsBrowserCompatibility
  - NeedsMarkupWork
  - NeedsSpecTable
  - Property
  - Reference
---
<div>{{APIRef("HTML DOM")}} {{ Deprecated_header() }}</div>

<p>The <strong><code>HTMLTableElement.bgcolor</code></strong> property represents the background color of the table.</p>

<p>The <code>bgColor</code> attribute is deprecated in HTML 4.01. The CSS {{cssxref("background-color")}} property should be used instead by modifying the element's <a href="/en-US/docs/DOM/style#DOM_Style_Object"><code>style</code></a> object or using a style rule.</p>

<p>Also available on DOM <a href="/en-US/DOM/table.tBodies"><code>tbody</code></a>, <a href="/en-US/docs/DOM/table.rows"><code>row</code></a> and <a href="en/DOM/table.cells"><code>cell</code></a> objects.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>color</em> = <em>table</em>.bgColor
<em>table</em>.bgColor = <em>color</em></pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><code>color</code> is a string representing a color value.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush:js">// Set table background colour to lightblue
var t = document.getElementById('TableA');
t.bgColor = 'lightblue';</pre>

<h2 id="Specifications">Specifications</h2>

<ul>
 <li><a href="http://www.w3.org/TR/DOM-Level-2-HTML/html.html#ID-83532985">DOM Level 2 HTML:<em>HTMLTableElement</em> .bgColor</a></li>
</ul>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLTableElement.bgColor")}}</p>
